(function(a,b){if("function"==typeof define&&define.amd)define([],b);else if("undefined"!=typeof exports)b();else{b(),a.index={exports:{}}.exports}})("undefined"==typeof globalThis?"undefined"==typeof self?this:self:globalThis,function(){"use strict";/**
 * Takes a given set of strings and adds/removes them from that set.  If the
 * string value is in the set it is removed.  If it is not in the set then
 * it is added.
 *
 * This is a curried function because why not...
 *
 * @param obj {Set} a set of strings used for the toggle operation
 * @param keys {string} N number of strings to use for the toggle
 * @returns {Set} the updated set of toggled strings.
 */function a(a){return function(){for(var b=arguments.length,c=Array(b),d=0;d<b;d++)c[d]=arguments[d];for(var e,f=0,g=c;f<g.length;f++)e=g[f],a.has(e)?a["delete"](e):a.add(e);return a}}/**
 * Takes a given set of strings and removes them from the input set.
 *
 * @param obj {Set} a set of strings used for the toggle operation
 * @param keys {string} N number of strings that will be removed from the set
 * @returns {Set} the updated set of strings.
 */function b(a){return function(){for(var b=arguments.length,c=Array(b),d=0;d<b;d++)c[d]=arguments[d];for(var e,f=0,g=c;f<g.length;f++)e=g[f],a["delete"](e);return a}}/**
 * Takes a given set of strings and adds them to the input set.
 *
 * @param obj {Set} a set of strings used for the toggle operation
 * @param keys {string} N number of strings that will be added to the set
 * @returns {Set} the updated set of strings.
 */function c(a){return function(){for(var b=arguments.length,c=Array(b),d=0;d<b;d++)c[d]=arguments[d];for(var e,f=0,g=c;f<g.length;f++)e=g[f],a.add(e);return a}}Object.defineProperty(exports,"__esModule",{value:!0}),exports.toggle=a,exports.toggleIf=/**
 * Takes a given set of strings and adds/removes them from the set if a given
 * condition (predicate) is met.
 * @param obj {Set} a set of strings used for the toggle operation
 * @param predicate {boolean} a boolean condition when true means that the
 * toggle operation will be performed.
 * @param keys {string} N number of strings to use for the toggle
 * @returns {Set} the updated set of toggled strings.
 */function(b,c){return function(){return c&&a(b).apply(void 0,arguments),b}},exports.toggleIfElse=/**
 * Takes a given set of strings and adds/removes them from the set if a given
 * condition (predicate) is met.  If it is not met, then a secondary (else) set
 * of strings are added/removed.
 * @param obj {Set} a set of strings used for the toggle operation
 * @param predicate {boolean} a boolean condition when true means that the
 * toggle operation will be performed.
 * @param ifKeys {string} N number of strings to use for the if toggle
 * @param elseKeys {string} N number of strings to use for the else toggle
 * @returns {Set} the updated set of toggled strings.
 */function(b,c){return function(){for(var d=arguments.length,e=Array(d),f=0;f<d;f++)e[f]=arguments[f];return function(){return c?a(b).apply(void 0,e):a(b).apply(void 0,arguments),b}}},exports.toggleOff=b,exports.toggleOffIf=/**
 * Takes a given set of strings and removes them from the input set if a given
 * condition (predicate) is met.  If not met, then they are turned on.
 * @param obj {Set} a set of strings used for the toggle operation
 * @param predicate {boolean} a boolean condition when true means that the
 * items will be turned off in the set
 * @param keys {string} N number of strings to use for the toggle
 * @returns {Set} the updated set of toggled strings.
 */function(a,d){return function(){return d?b(a).apply(void 0,arguments):c(a).apply(void 0,arguments),a}},exports.toggleOffIfElse=/**
 * Takes a given set of strings and removes them from the input set if a given
 * condition (predicate) is met.  If not met, then different set of strings are
 * turned off.
 * @param obj {Set} a set of strings used for the toggle operation
 * @param predicate {boolean} a boolean condition when true means that the
 * items will be turned off in the set
 * @param ifKeys {string} N number of strings to use for the if toggle
 * @param elseKeys {string} N number of strings to use for the else toggle
 * @returns {Set} the updated set of toggled strings.
 */function(a,d){return function(){for(var e=arguments.length,f=Array(e),g=0;g<e;g++)f[g]=arguments[g];return function(){return d?(b(a).apply(void 0,f),c(a).apply(void 0,arguments)):(b(a).apply(void 0,arguments),c(a).apply(void 0,f)),a}}},exports.toggleOn=c,exports.toggleOnIf=/**
 * Takes a given set of strings and adds them to the input set if a given
 * condition (predicate) is met.  If not met, they they are turned off.
 * @param obj {Set} a set of strings used for the toggle operation
 * @param predicate {boolean} a boolean condition when true means that the
 * items will be turned on in the set
 * @param keys {string} N number of strings to use for the toggle
 * @returns {Set} the updated set of toggled strings.
 */function(a,d){return function(){return d?c(a).apply(void 0,arguments):b(a).apply(void 0,arguments),a}},exports.toggleOnIfElse=/**
 * Takes a given set of strings and adds them from the input set if a given
 * condition (predicate) is met.  If not met, then different set of strings are
 * turned on.
 * @param obj {Set} a set of strings used for the toggle operation
 * @param predicate {boolean} a boolean condition when true means that the
 * items will be turned off in the set
 * @param ifKeys {string} N number of strings to use for the if toggle
 * @param elseKeys {string} N number of strings to use for the else toggle
 * @returns {Set} the updated set of toggled strings.
 */function(a,d){return function(){for(var e=arguments.length,f=Array(e),g=0;g<e;g++)f[g]=arguments[g];return function(){return d?(c(a).apply(void 0,f),b(a).apply(void 0,arguments)):(c(a).apply(void 0,arguments),b(a).apply(void 0,f)),a}}}});
